com.r3corda.node.services.config / FullNodeConfiguration

# FullNodeConfiguration

`class FullNodeConfiguration : NodeConfiguration`

### Constructors

<init> | `FullNodeConfiguration(conf: <ERROR CLASS>)`

### Properties

artemisAddress | `val artemisAddress: <ERROR CLASS>`
basedir | `val basedir: Path`
clock | `val clock: Clock`
dataSourceProperties | `val dataSourceProperties: Properties`
exportJMXto | `val exportJMXto: String`
extraAdvertisedServiceIds | `val extraAdvertisedServiceIds: String`
hostNotaryServiceLocally | `val hostNotaryServiceLocally: Boolean`
keyStorePassword | `val keyStorePassword: String`
mapService | `val mapService: NameServiceConfig`
messagingServerAddress | `val messagingServerAddress: <ERROR CLASS>?`
myLegalName | `val myLegalName: String`
nearestCity | `val nearestCity: String`
trustStorePassword | `val trustStorePassword: String`
useHTTPS | `val useHTTPS: Boolean`
webAddress | `val webAddress: <ERROR CLASS>`

### Functions

createNode | `fun createNode(): Node`